Last Comment Bug 712849 - CSS top border is missing after assigning
: CSS top border is missing after assigning
Status: RESOLVED FIXED
[qa!]
: regression
Product: Core
Classification: Components
Component: Layout: Tables (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla12
Assigned To: Bernd
:
:
Mentors:
Depends on: 711359
Blocks: 460637
  Show dependency treegraph
 
Reported: 2011-12-21 18:35 PST by Stefan
Modified: 2012-02-10 06:56 PST (History)
8 users (show)
bernd_mozilla: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
verified


Attachments
testcase (1.98 KB, text/html)
2011-12-21 18:35 PST, Stefan
no flags Details
reduced testcase (697 bytes, text/html)
2011-12-24 01:50 PST, Bernd
no flags Details

Description Stefan 2011-12-21 18:35:22 PST
Created attachment 583703 [details]
testcase

User Agent:  

Steps to reproduce:

1. Open Testcase.
2. Click at the word "toggle".


Actual results:

2. Line "L1 ..." disappears, Line "L2 ..." gets a red border left, bottom and right.


Expected results:

2. Get an additional red top border.

Regression:

last good nightly 2011-11-28-03-10-52-mozilla-central (854aabf544d4)
first bad nighly 2011-11-29-03-10-19-mozilla-central (bc48009a6bbb)
Comment 1 Stefan 2011-12-21 22:39:52 PST
The first bad revision is:
changeset: 80850:0b39e1a64c2b
user: Bernd <bmlk@gmx.de>
date: Thu Oct 27 09:58:44 2011 -0400
summary: bug 460637 - the group cellmaps need to set the damageArea relative to the entire table, patch by Mats Palmgren, Randell Jesup and Bernd, r=mats, bernd
Comment 2 Matthias Versen [:Matti] 2011-12-21 23:25:52 PST
confirming with Seamonkey trunk on win32
Comment 3 Stefan 2011-12-21 23:31:47 PST
Similar issue:

Bug 711359 - [BC]Table border incorrectly rendered after 'display:none'ing some table rows 

However, the patch does not fix the missing top border.
Comment 4 Bernd 2011-12-24 01:50:13 PST
Created attachment 584168 [details]
reduced testcase
Comment 5 Bernd 2011-12-24 02:35:27 PST
thanks for the testcase I updated Bug 711359 the patch will need some testcase love which it will get over the next few days
Comment 8 Maniac Vlad Florin (:vladmaniac) 2012-02-10 06:02:17 PST
Verified Build identifier: Mozilla/5.0 (X11; Linux i686; rv:11.0) Gecko/20100101 Firefox/11.0
Comment 9 Maniac Vlad Florin (:vladmaniac) 2012-02-10 06:07:31 PST
Verfied Build identifier: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:11.0) Gecko/20100101 Firefox/11.0
Comment 10 Alex Lakatos[:AlexLakatos] 2012-02-10 06:56:11 PST
Verified Build identifier: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:11.0) Gecko/20100101 Firefox/11.0

Note You need to log in before you can comment on or make changes to this bug.